Download it now!
Bug 117936 (CommonSalLayout-refactoring-regressions) - [META] Refactor CommonSalLayout font handling regressions
Summary: [META] Refactor CommonSalLayout font handling regressions
Status: RESOLVED FIXED
Alias: CommonSalLayout-refactoring-regressions
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 117534 117564 117861 117887 117966 118018 118085 118475 118487 118495 118555 118577 118646 118679 118694 118884 119173 119302 119340 119438 119655 120204
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-31 14:54 UTC by Xisco Faulí
Modified: 2018-10-19 00:43 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Xisco Faulí 2018-07-09 18:26:40 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/57101/
Comment 2 V Stuart Foote 2018-07-09 21:37:09 UTC
https://cgit.freedesktop.org/libreoffice/core/commit/?id=fad862e290d727fc9fefe206f6e4b807482c4175

is in so retesting of nightly master/6.2 needed...
Comment 3 V Stuart Foote 2018-07-10 13:21:20 UTC
The font rendering on Windows with OpenGL is a bit rough still (e.g. in the sm Formula editor), retesting on Windows should probably wait a day for:

https://gerrit.libreoffice.org/57221

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ca4e75d694a5fb41a1c800146319aa6ba34d8bab

to roll on nightly.
Comment 4 V Stuart Foote 2018-07-12 18:36:17 UTC
Also, a merged patch was backported to 6.1.0 as

https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-6-1&id=392a36b83c5288106a59acf76b3a89da31d5e4d1
Comment 5 V Stuart Foote 2018-07-12 18:42:46 UTC
All issues resolved fixed, looks OK to close.

@Xisco, will let you do the honors...